<div class="wrapper-full-page">
  <div class="page-header login-page header-filter" filter-color="black" style="background-image: url('./content/img/card-3.jpg'); background-size: cover; background-position: center center;">
    <!--   you can change the color of the filter page using: data-color="blue | purple | green | orange | red | rose " -->
    <div class="container">
		<!-- <div class="row">
	        <button mat-fab color="accent" aria-label="Example icon button with a delete icon">
	          <mat-icon>person_add</mat-icon>
	        </button>
	    </div> -->
      <div class="row">
        <div class="col-lg-4 col-md-6 col-sm-6 ml-auto mr-auto">
			<form class="form" role="form" (ngSubmit)="login()">
				<div class="card card-login card-hidden" id="card-login">
					<div class="card-header card-header-success text-center">
						<h4 class="card-title">LOGIN</h4>
					</div>
					<div class="card-body">
			            <div class="alert alert-danger" *ngIf="authenticationError" jhiTranslate="login.messages.error.authentication">
			                <strong>Failed to sign in!</strong> Please check your credentials and try again.
			            </div>
						<span class="bmd-form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">face</i>
									</span>
								</div>
								<input type="text" class="form-control" name="username" id="username" placeholder="{{'global.form.username.placeholder' | translate}}" [(ngModel)]="username">
							</div>
						</span>
						<span class="bmd-form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">lock_outline</i>
									</span>
								</div>
								
								<input style="float: left" [type]="hide ? 'password' : 'text'" class="form-control" name="password" 
								id="password" placeholder="{{'login.form.password.placeholder' | translate}}" [(ngModel)]="password" required>
								<span class="input-placeholder">
								<!--<mat-icon  class="placeholder" (click)="pass()">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon> -->
								</span>
							</div>
						</span>
					</div>
					<div class="card-footer justify-content-center">
						<div class="row">
							<div>
          						<button type="submit" class="btn btn-outline-success btn-sm btn-block" jhiTranslate="login.form.button">Sign in</button>
							</div>
							&nbsp;&nbsp;
							<!--<div>
          						<button type="submit" (click)="register()" class="btn btn-outline-warning btn-sm btn-block" jhiTranslate="login.form.regis">Sign in</button>
							</div>-->
						</div>
          					<!--<button type="submit" class="btn btn-outline-warning btn-sm btn-block" (click)="register()" jhiTranslate="login.form.regis">Daftar</button>-->
					</div>
					<!--<div class="card-footer justify-content-center">
              				<button type="submit" (click)="register()" class="btn btn-outline-warning btn-sm btn-block" jhiTranslate="login.form.button">Sign in</button>
					</div>
					<div class="alert alert-warning">
		                <span jhiTranslate="global.messages.info.register.noaccount">You don't have an account yet?</span>
		                <a class="alert-link" (click)="register()" jhiTranslate="global.messages.info.register.link">Register a new account</a>
		                <a href="http://localhost:9000/account/register" target="_blank">page link</a>
		            </div>-->
				</div>
			</form>
		</div>
    </div>
    </div>
		<footer class="footer">
			<div class="container">
		        
				<nav class="pull-left">
					<ul>
						<!-- <li>
							<button mat-fab color="primary" aria-label="Example icon button with a delete icon" (click)="register()">
				          		<mat-icon>add</mat-icon>
				        	</button>
					    </li> -->
						<li>
				            <a href="">
				                
				            </a>
				            <!-- <a class="dropdown-item" routerLink="account/register" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user-plus" fixedWidth="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.register">Register</span>
                       		</a> -->
					    </li>
						<li>
							<a href="">
				               <!--  About Us -->
				            </a>
						</li>
						<li>
							<a href="">
				                <!-- YouTube -->
				            </a>
						</li>
					</ul>
				</nav>
				<div class="copyright pull-right">
            		<!-- &copy; 2020, <a href="" target="_blank"></a> -->
				</div>
			</div>
		</footer>
	</div>
</div>
